Method: projects.locations.evaluations.executions.scannedResources.list

List all scanned resources for a single Execution.

HTTP request

GET https://workloadmanager.googleapis.com/v1/{parent=projects/*/locations/*/evaluations/*/executions/*}/scannedResources

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent for ListScannedResourcesRequest.

Query parameters

Parameters
rule

string

Rule name.

pageSize

integer

Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

A token identifying a page of results the server should return.

filter

string

Filtering results.

orderBy

string

Field to sort by. See https://google.aip.dev/132#ordering for more details.

Request body

The request body must be empty.

Response body

Response message for the scannedResources.list RPC.

If successful, the response body contains data with the following structure:

JSON representation
{
  "scannedResources": [
    {
      object (ScannedResource)
    }
  ],
  "nextPageToken": string
}
Fields
scannedResources[]

object (ScannedResource)

All scanned resources in response.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

ScannedResource

A scanned resource.

JSON representation
{
  "resource": string,
  "type": string
}
Fields
resource

string

Resource name.

type

string

Resource type.